
Foreman - Refactor #23344

Don't use expects in setup blocks

04/20/2018 07:13 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Tests   

Target version:    

Difficulty:  Fixed in Releases: 1.20.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5471

  

Description

It makes no sense, expectations should be part of (particular) tests, stubs should be used in setup blocks.

Associated revisions

Revision fab566de - 10/04/2018 03:24 PM - Lukas Zapletal

Fixes #23344 - stubs instead expects in setup blocks

History

#1 - 04/20/2018 07:42 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman/pull/5471 added

#2 - 10/04/2018 03:25 PM - Tomer Brisker

- Fixed in Releases 1.20.0 added

#3 - 10/04/2018 04:02 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

Applied in changeset fab566de67bc664d17928cb713a4b207e256bdab.
